#include <Pixy2.h>
#include <SPI.h>




Pixy2 pixy;
#define nbL298N 2
#define borneENA 6
#define borneIN1 4
#define borneIN2 9
#define borneIN3 8
#define borneIN4 7
#define borneENB 5

int area;
int areaRef = 5000;
int signature, x, y, width, height;

void setup() {
  // put your setup code here, to run once:
  pinMode(borneENA, OUTPUT);
  pinMode(borneIN1, OUTPUT);
  pinMode(borneIN2, OUTPUT);
  pinMode(borneIN3, OUTPUT);
  pinMode(borneIN4, OUTPUT);
  pinMode(borneENB, OUTPUT);
 
  pixy.init();


}


void loop() {
  static int i = 0;
  int j;
 



  int8_t block = pixy.ccc.getBlocks();


 if (block)
  {
   
   
    i++;
   
    if (i%50==0) //On affiche les objets toutes les 50 mesures pour ne pas spammer l'Arduino
    {
      signature  = pixy.ccc.blocks[0].m_signature;
      x  = pixy.ccc.blocks[0].m_x;
      width  = pixy.ccc.blocks[0].m_width;
      height  = pixy.ccc.blocks[0].m_height;
      
     
      for (j=0; j<block; j++)
      {

        Serial.println(signature);
        Serial.println(x);
        Serial.println(width);
        Serial.println(height);
        //area = pixy.ccc.blocks[i].m_height * pixy.ccc.blocks[i].m_width;
        

        
        // Check if the area exceeds the threshold for stopping
        /*if (area > areaRef) {
          stop();
          Serial.println("Salam");

        }*/


        //La pixy a une résolution de 640x240 mais affiche des coordonnées de 320 (en x) par 200 (en y)
       
        //on établit une condition sur la coordonnée en x de l'objet
        //si l'objet est tel que 120<x<200, alors on avance tout droit
        //si x<120 alors on avance vers la gauche en allumant les moteurs droits
        //si 200<x alors on avance vers la droite en allumant les moteurs gauches

       //else {
       if(pixy.ccc.blocks[0].m_x > 200){


        droite();
       
      }
     
      else if (pixy.ccc.blocks[0].m_x < 120) {
     
        gauche();
       
      }


      else {
        avancer();
       
       
      }


       
      }
    }
  }
 
 // }

}


void avancer(){
  analogWrite(borneENA, 150);
  analogWrite(borneENB, 150);


 
  digitalWrite(borneIN1, HIGH);
  digitalWrite(borneIN2, LOW);
  digitalWrite(borneIN3, LOW);
  digitalWrite(borneIN4, HIGH);


}
void gauche(){
  analogWrite(borneENA, 150);
  analogWrite(borneENB, 150);
  digitalWrite(borneIN1, LOW);
  digitalWrite(borneIN2, HIGH);
  digitalWrite(borneIN3, LOW);
  digitalWrite(borneIN4, HIGH);


}
void droite(){
  analogWrite(borneENA, 150);
  analogWrite(borneENB, 150);
  digitalWrite(borneIN1, HIGH);
  digitalWrite(borneIN2, LOW);
  digitalWrite(borneIN3, HIGH);
  digitalWrite(borneIN4, LOW);


}



void stop() {
  analogWrite(borneENA, 0);
  analogWrite(borneENB, 0);
  digitalWrite(borneIN1, LOW);
  digitalWrite(borneIN2, LOW);
  digitalWrite(borneIN3, LOW);
  digitalWrite(borneIN4, LOW);
}
